package org.dromara.system.mapper;

import org.dromara.system.domain.Region;
import org.dromara.system.domain.vo.RegionVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author Lion Li
 * @date 2024-12-13
 */
public interface RegionMapper extends BaseMapperPlus<Region, RegionVo> {

    List<RegionVo> selectByRegionId(List<String> list);

    List<RegionVo> selectByRoomId(String roomId);

    List<String> selectByRegionType(String regionType);

    List<RegionVo> selectListByRegionBoByRoomId(List<String> list);

    List<RegionVo> selectAll();
}
